# Workspaces Workflow Monitor

Reads in an HTCondor log file and parses the relevant data from it, splitting it into events and formatting those into messages that are sent to the workspaces.workflow-service.workflow-status RabbitMQ exchange. Also input is a workflow request ID that is sent alongside the event data.

```
usage: wf_monitor [-h] [-P PROFILE] log_path workflow_request_id

Workspaces workflow monitor, version 4.0.0a1.dev1. Monitor execution of a workflow from the command line.

positional arguments:
  log_path              path to the workflow's HTCondor log
  workflow_request_id   ID of the workflow request that ran the workflow

optional arguments:
  -h, --help            show this help message and exit
  -P PROFILE, --profile PROFILE
                        profile name to use; e.g. test, production; DEFAULT: nmtest
```
