"""add htcondor_job_id to workflow_requests table

Revision ID: 6da65f58304a
Revises: dd04b15a2b10
Create Date: 2021-08-25 11:36:55.640135

"""
from alembic import op

# revision identifiers, used by Alembic.
revision = "6da65f58304a"
down_revision = "dd04b15a2b10"
branch_labels = None
depends_on = None


def upgrade():
    op.execute(
        "ALTER TABLE workflow_requests ADD COLUMN IF NOT EXISTS htcondor_job_id NUMERIC DEFAULT NULL"
    )


def downgrade():
    op.execute("ALTER TABLE workflow_requests DROP COLUMN IF EXISTS htcondor_job_id")
